Summary: GIF-manipulation library
Name: libungif
Version: 3.1.0
Release: 2
Copyright: X Consortium-like
Group: Libraries
Source0: ftp://prtr-13.ucsc.edu/pub/libungif/libungif-3.1.0.tar.gz
URL: http://prtr-13.ucsc.edu/~badger/software/libungif.shtml
#Packager: Toshio Kuratomi <badger@prtr-13.ucsc.edu>
BuildRoot: /var/tmp/libungif-root
Prefix: /usr
# The following libgif.so handles packages built against the
# previous broken giflib package
Provides: libgif.so.3 libgif.so giflib
Obsoletes: giflib

%description
GIF loading and saving shared library.  (Saving uses an uncompressed gif
algorithm that does not use LZW compression.)

%package devel
Summary: GIF-manipulation library header files, static libraries, and documentation. 
Group: Development/Libraries
%description devel
Libraries and headers needed for developing programs that use libungif
to load and save gif image files.

%package progs
Summary: Programs for converting and transforming gif images.
Group: Applications/Graphics
%description progs
This package contains various programs for manipulating gif image files.

%changelog
* Mon Sep 7 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Upgrade to version 3.1.0 (which incorporates the patches in 3.0-4)
- Updated Source: and URL: to reflect change in directories/pages.

* Tue May 26 1998 Dick Porter <dick@cymru.net>
- Fixed some "warning: cast to pointer from integer of different size" on Alpha

* Tue May 5 1998 Marc Ewing <marc@redhat.com>
- Made it obsolete giflib and provide libgif.so and giflib (previous
  giflib packages were built incorrectly and packages built against
  it require libgif.so but work fine with this package)
- cleaned buildroot
- Removed Toshio as packager so he doesn't get yelled at when Red Hat
  breaks it :-)

* Fri Apr 24 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Initial revision of libungif, a giflib derivative modified to not use LZW
  compression.

%prep
%setup

%build
CFLAGS="${RPM_OPT_FLAGS}" ./configure --prefix=/usr
make all

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR="${RPM_BUILD_ROOT}" install-strip
cd ${RPM_BUILD_ROOT}/usr/lib
ln -sf libungif.so.${RPM_PACKAGE_VERSION} libgif.so.3.0.0
ln -sf libgif.so.3.0.0 libgif.so.3
ln -sf libgif.so.3 libgif.so
ln -sf libungif.a libgif.a

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%attr(- root root) %doc COPYING README AUTHORS UNCOMPRESSED_GIF
%attr(- root root) %doc ChangeLog NEWS ONEWS TODO
%attr(0644 root root) /usr/lib/libungif.so.${RPM_PACKAGE_VERSION}
%attr(0644 root root) /usr/lib/libgif.so.3.0.0
%attr(0644 root root) /usr/lib/libgif.so.3

%files devel
%attr(- root root) %doc doc/*
%attr(- root root) %doc util/giffiltr.c
%attr(- root root) %doc util/gifspnge.c
%attr(0644 root root) /usr/lib/libungif.a
%attr(0644 root root) /usr/lib/libungif.so
%attr(0644 root root) /usr/lib/libungif.la
%attr(0644 root root) /usr/lib/libgif.so
%attr(0644 root root) /usr/lib/libgif.a
%attr(0644 root root) /usr/include/gif_lib.h

%files progs
%attr(0755 root root) /usr/bin/*
